Checkout

跳转支付/收银台

circle-info

请求地址:POST /checkout/payment

请求参数

参数
类型
必填
说明

transactionType

String(32)

C

Sale / Authorization (目前默认 Sale)

transactionId

String(128)

M

商户交易唯一 ID

orderId

String(128)

O

商户订单 ID,可以重复但只能存在一笔成功交易

currency

String(3)

M

币种 (CNY/USD)

amount

Number(12,3)

M

交易金额

appId

Number(20)

C

APP ID(domain 二选一)推荐使用App Id

domain

String(128)

C

请求网站域名 (appId 二选一)

callbackUrl

String(255)

C

3D/Checkout 回调 URL,3D/Checkout 交易必填(一般用于处理面显示逻辑)

notificationUrl

String(255)

C

异步通知 URL,此参数不为空,交易完成会往此地址发送通知(一般用于处理订单状态)

transactionIp

String(128)

M

持卡人交易 IP

productName

String(255)

O

产品名称

productInfos

Array

O

产品详情,详见下表

Object

C

账单信息,JSON 对象,见下表

Object

C

邮寄信息,JSON 对象,见下表

Object

C

3D 交易请求浏览器参数,JSON 对象,见下表

secure

Boolean

O

是否请求 3D 交易 true/false

extension

Object

O

扩展字段,某些交易特定字段

String(32)

O

付款方式,默认 Defaulte,其他支付方式查看下表

ProductInfos 对象

参数
类型
必填

productName

String(128)

O

商品名称

currency

String(3)

O

商品币种

price

Number(12,3)

O

单个商品价格

sku

String(128)

O

商品 SKU

quantity

Number(4)

O

商品个数

productLink

String(255)

O

商品链接

BillingAddress&ShippingAddress 对象

参数
类型
必填
说明

firstName

String(64)

O

lastName

String(64)

O

email

String(255)

O

邮箱

phone

String(32)

O

电话

country

String(2)

O

国家 2 位 CODE

state

String(128)

O

city

String(128)

O

城市

address

String(255)

O

地址

zipCode

String(64)

O

邮编

Browser 浏览器参数

参数
类型
必填
说明

accept

String(128)

O

浏览器参数

userAgent

String(128)

O

浏览器参数

acceptLanguage

String(128)

O

浏览器参数

javaEnabled

Boolean

O

浏览器参数

colorDepth

String(16)

O

浏览器参数

screenHeight

String(16)

O

浏览器参数

screenWidth

String(16)

O

浏览器参数

timeZoneOffset

String(32)

O

浏览器参数

referer

String(128)

O

浏览器参数

Transaction Method 付款方式

circle-info

收银台支持4种模式: Default/Creditcard/LPM/具体支付方式

  • Default : 收银台可以同时展示信用卡和本地支付供持卡人选择

  • CreditCard : 收银台只展示信用卡支付

  • LPM : 收银台只展示本地支付

  • 具体支付方式 : 例如传入 Paypal 会直接开启Paypal的付款页面

支付方式
Code值
支持币种
支持国家

CreditCard

CreditCard

所有币种

所有国家

Paypal

Paypal

EUR and USD

所有国家

RapiPago

RapiPago

ARS and USD

AR

PagoFacil

PagoFacil

ARS and USD

AR

Cupon

Cupon

ARS and USD

AR

Pagosnet

Pagosnet

BOB and USD

BO

Pix

PIX

BRL and USD

BR

PISP

PISP

BRL and USD

BR

Boleto

Boleto

BRL

BR

BankTransfer

BankTransfer

BRL and NGN

BR,NG

Servipag

Servipag

CLP and USD

CL

Sencillito

Sencillito

CLP and USD

CL

Multicaja

Multicaja

CLP and USD

CL

Webpay

Webpay

PEN and USD

CL

PSE

PSE

COP, USD and EUR

CO

Efecty

Efecty

COP, USD and EUR

CO

Bancolombia

Bancolombia

COP

CO

SafetyPayCash

SafetyPayCash

PEN and USD

EC,PE

SafetyPayOnline

SafetyPayOnline

PEN and USD

EC,PE

MobileMoney

GHS, KES, UGX, TZS, ZMWand EUR

GH,KE,UG,TZ,ZM

UPI

UPI

INR

IN

OXXO

OXXO

MXN and USD

MX

OXXOPAY

OXXOPAY

MXN and USD

MX

SPEI

SPEI

MXN and USD

MX

USSD

NGN

NG

PagoEfectivo

PagoEfectivo

PEN and USD

PE

Ozow

Ozow

ZAR

ZA

TNGeWallet

TNGeWallet

MYR

MY

Przelewy24

Przelewy24

PLN

PL

iDEAL

iDEAL

EUR

NL

特殊付款方式

MobileMoney 国家不同,支持的运营商也不同,需要按照下表传入额外参数

在请求参数 extension 中添加 code 字段,传入对应只运营商,参考下表

国家
币种
运营商

GH

GHS

mpesa, airtel and mtn

KE

KES

mpesa, airtel and equitel

UG

UGX

airtel and mtn

TZ

TZS

airtel, vodacom and tigo

ZM

ZMW

airtel, zamtel and mtn

实例

请求实例

返回实例

交易成功/跳转收银台

交易失败

返回参数

参数
类型
必填

code

Number(3)

M

返回码,详见附录

uniqueId

String(32)

M

系统返回唯一交易 ID

appId

Number(20)

M

APP ID

transactionId

String(128)

M

商户支付唯一 ID

transactionCurrency

String(3)

M

交易币种(CNY/USD)

transactionAmount

String(12)

M

交易金额

transactionCardNumber

String(20)

O

交易卡号,前六后四

billDescription

String(128)

O

账单信息

transactionMessage

String(255)

O

交易错误信息,可能是渠道直接返回的错误信息

redirectUrl

String(255)

O

3D 跳转 URL

transactionAt

String(32)

M

交易时间

message

String(255)

M

普通返回信息

timestamp

Number

M

返回时间戳

isTest

Boolean

M

当前交易是否为测试交易,真实交易返回 false

Last updated